/detector
http://guardduty.{region}.amazonaws.com/detectorLists detectorIds of all the existing Amazon GuardDuty detector resources.
Query Params
You can use this parameter to indicate the maximum number of items that you want in the response. The default value is 50. The maximum value is 50.
You can use this parameter when paginating results. Set the value of this parameter to null on your first call to the list action. For subsequent calls to the action, fill nextToken in the request with the value of NextToken from the previous response to continue listing data.
Pagination limit
Pagination token
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'http://guardduty.{region}.amazonaws.com/detector' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}